Bug 480649 - Add c format to .rej files
Add c format to .rej files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: patch (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 12:17 EST by Steven Rostedt
Modified: 2009-11-30 23:40 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 23:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Rostedt 2009-01-19 12:17:21 EST
Description of problem:

I do a lot of patch pulls from other people, and in the process
I need to resolve rejects often. While using debian, which has
an alpha version of patch 2.5.9, it produces the following
type of format when a reject happens:

*************** static int push_rt_task(struct rq *rq)
*** 1056,1062 ****
  {
        struct task_struct *next_task;
        struct rq *lowest_rq;
-       int paranoid = RT_MAX_TRIES;

        if (!rq->rt.overloaded)
                return 0;
--- 1056,1061 ----
  {
        struct task_struct *next_task;
        struct rq *lowest_rq;

        if (!rq->rt.overloaded)
                return 0;


The "push_rt_task" part is very informative. It helps me know exactly
where to go when I need to resolve the patch.

But unfortunately, fedora is using an older version of patch 2.5.4
which simply would do the same as above, but without the
helpful "static int push_rt_task(struct rq *rq)" part.

This is a feature request to add this format to the rejects
produced by the fedora patch utility.
Comment 1 Fedora Update System 2009-11-16 12:40:22 EST
patch-2.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/patch-2.6-1.fc12
Comment 2 Fedora Update System 2009-11-16 12:41:02 EST
patch-2.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/patch-2.6-1.fc11
Comment 3 Fedora Update System 2009-11-16 12:47:37 EST
patch-2.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/patch-2.6-1.fc10
Comment 4 Bug Zapper 2009-11-18 05:47:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2009-11-18 09:06:39 EST
patch-2.6-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update patch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11639
Comment 6 Fedora Update System 2009-11-18 09:07:00 EST
patch-2.6-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update patch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11644
Comment 7 Fedora Update System 2009-11-18 09:09:09 EST
patch-2.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update patch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11656
Comment 8 Fedora Update System 2009-11-30 23:22:48 EST
patch-2.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-11-30 23:35:30 EST
patch-2.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-11-30 23:40:31 EST
patch-2.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.